Package it.ernytech.tdlib

## Class TdApi.CheckChatInviteLink

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.CheckChatInviteLink

Enclosing class:
  TdApi

    public static class TdApi.CheckChatInviteLink
    extends TdApi.Function

Checks the validity of an invite link for a chat and returns information about the corresponding chat.

Returns `ChatInviteLinkInfo`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `inviteLink` Invite link to be checked; should begin with "https://t.me/joinchat/", "https://telegram.me/joinchat/", or "https://telegram.dog/joinchat/".

### Constructor Summary

Constructors
`CheckChatInviteLink()` Default constructor.
`CheckChatInviteLink​(java.lang.String inviteLink)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### inviteLink

    public java.lang.String inviteLink

Invite link to be checked; should begin with "https://t.me/joinchat/", "https://telegram.me/joinchat/", or "https://telegram.dog/joinchat/".

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### CheckChatInviteLink

    public CheckChatInviteLink()

Default constructor.

#### CheckChatInviteLink

    public CheckChatInviteLink​(java.lang.String inviteLink)

Constructor for initialization of all fields.

Parameters:
  `inviteLink` - Invite link to be checked; should begin with "https://t.me/joinchat/", "https://telegram.me/joinchat/", or "https://telegram.dog/joinchat/".

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR